- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- DeleteImageList
- DestroyImages
- GetImageList
- GetImageListIndex
- GetImageListSize
- GetNextImage
- GetNumberScenes
- GetPreviousImage
- PopImageList
- PostscriptGeometry
- PushImageList
- SetImageList
- ShiftImageList
- SpliceImageList
- UnshiftImageList

# NAME

deprecate - Methods which should no longer be used

# SYNOPSIS

unsigned int DeleteImageList( Image *images, const long offset );

void DestroyImages( Image *image );

Image * GetImageList( const Image *images, const long offset, ExceptionInfo *exception );

long GetImageListIndex( const Image *images );

unsigned long GetImageListSize( const Image *images );

Image * GetNextImage( const Image *images );

unsigned int GetNumberScenes( const Image *images );

Image * GetPreviousImage( const Image *images );

Image * PopImageList( Image ** images );

char * PostscriptGeometry( const char *page );

unsigned int PushImageList( Image *images, const Image *image, ExceptionInfo *exception );

unsigned int SetImageList( Image *images, const Image *image, const long offset, ExceptionInfo *exception );

Image * ShiftImageList( Image ** images );

Image * SpliceImageList( Image *images, const long offset, const unsigned long length, const Image *splices, ExceptionInfo *exception );

unsigned int UnshiftImageList( Image *images, const Image *image, ExceptionInfo *exception );

# FUNCTION DESCRIPTIONS

## DeleteImageList

> DeleteImageList() deletes an image at the specified position in the list.

This method is deprecated as of version 5.5.2.

The format of the DeleteImageList method is:

> unsigned int DeleteImageList ( Image *images, const long offset );

A description of each parameter follows:

images:

  The image list.

offset:

  The position within the list.

## DestroyImages

> DestroyImages() destroys an image list.

This method is deprecated as of version 5.4.3.

The format of the DestroyImages method is:

> void DestroyImages ( Image *image );

A description of each parameter follows:

image:

  The image sequence.

## GetImageList

> GetImageList() returns an image at the specified position in the list.

This method is deprecated as of version 5.5.2.

The format of the GetImageList method is:

> Image *GetImageList ( const Image *images, const long offset, ExceptionInfo *exception );

A description of each parameter follows:

images:

  The image list.

offset:

  The position within the list.

exception:

  Return any errors or warnings in this structure.

## GetImageListIndex

> GetImageListIndex() returns the position in the list of the specified image.

This method is deprecated as of version 5.5.2.

The format of the GetImageListIndex method is:

> long GetImageListIndex ( const Image *images );

A description of each parameter follows:

images:

  The image list.

## GetImageListSize

> GetImageListSize() returns the number of images in the list.

This method is deprecated as of version 5.5.2.

The format of the GetImageListSize method is:

> unsigned long GetImageListSize ( const Image *images );

A description of each parameter follows:

images:

  The image list.

## GetNextImage

> GetNextImage() returns the next image in a list.

This method is deprecated as of version 5.5.2.

The format of the GetNextImage method is:

> Image *GetNextImage ( const Image *images );

A description of each parameter follows:

images:

  The image list.

## GetNumberScenes

> GetNumberScenes() returns the number of images in the list.

This method is deprecated as of version 5.5.2.

The format of the GetNumberScenes method is:

> unsigned int GetNumberScenes ( const Image *images );

A description of each parameter follows:

images:

  The image list.

## GetPreviousImage

> GetPreviousImage() returns the previous image in a list.

This method is deprecated as of version 5.5.2.

The format of the GetPreviousImage method is:

> Image *GetPreviousImage ( const Image *images );

A description of each parameter follows:

images:

  The image list.

## PopImageList

> PopImageList() removes the last image in the list.

This method is deprecated as of version 5.5.2.

The format of the PopImageList method is:

> Image *PopImageList ( Image **images );

A description of each parameter follows:

images:

  The image list.

## PostscriptGeometry

> PostscriptGeometry() replaces any page mneumonic with the equivalent size in picas.

This method is deprecated as of version 5.5.1.

The format of the PostscriptGeometry method is:

> char *PostscriptGeometry ( const char *page );

A description of each parameter follows.

page:

  Specifies a pointer to an array of characters. The string is either a Postscript page name (e.g. A4) or a postscript page geometry (e.g. 612x792+36+36).

## PushImageList

> PushImageList() adds an image to the end of the list.

This method is deprecated as of version 5.5.2.

The format of the PushImageList method is:

> unsigned int PushImageList ( Image *images, const Image *image, ExceptionInfo *exception );

A description of each parameter follows:

images:

  The image list.

image:

  The image.

exception:

  Return any errors or warnings in this structure.

## SetImageList

> SetImageList() inserts an image into the list at the specified position.

This method is deprecated as of version 5.5.2.

The format of the SetImageList method is:

> unsigned int SetImageList ( Image *images, const Image *image, const long offset, ExceptionInfo *exception );

A description of each parameter follows:

images:

  The image list.

image:

  The image.

offset:

  The position within the list.

exception:

  Return any errors or warnings in this structure.

## ShiftImageList

> ShiftImageList() removes an image from the beginning of the list.

This method is deprecated as of version 5.5.2.

The format of the ShiftImageList method is:

> Image *ShiftImageList ( Image **images );

A description of each parameter follows:

images:

  The image list.

## SpliceImageList

> SpliceImageList() removes the images designated by offset and length from the list and replaces them with the specified list.

This method is deprecated as of version 5.5.2.

The format of the SpliceImageList method is:

> Image *SpliceImageList ( Image *images, const long offset, const unsigned long length, const Image *splices, ExceptionInfo *exception );

A description of each parameter follows:

images:

  The image list.

offset:

  The position within the list.

length:

  The length of the image list to remove.

splice:

  Replace the removed image list with this list.

exception:

  Return any errors or warnings in this structure.

## UnshiftImageList

> UnshiftImageList() adds the image to the beginning of the list.

This method is deprecated as of version 5.5.2.

The format of the UnshiftImageList method is:

> unsigned int UnshiftImageList ( Image *images, const Image *image, ExceptionInfo *exception );

A description of each parameter follows:

images:

  The image list.

image:

  The image.

exception:

  Return any errors or warnings in this structure.